Skip to main content
GET
/
1
/
columns
/
{datasetSlug}
/
{columnId}
Get a Column
curl --request GET \
  --url https://api.honeycomb.io/1/columns/{datasetSlug}/{columnId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "id": "yUheCUmgZ8p",
  "key_name": "my_column",
  "hidden": false,
  "description": "",
  "type": "integer",
  "last_written": "2022-07-26T22:38:05Z",
  "created_at": "2022-07-26T22:38:04Z",
  "updated_at": "2022-07-26T22:38:04Z"
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug.

columnId
string
required

Unique identifier (ID) of a column.

Response

Success

key_name
string
required

Name of the Column.

Required string length: 1 - 255
Example:

"my_column"

type
enum<string>
default:string

Type of data that the Column will contain. Histogram is in beta and only works in your Metrics dataset.

Available options:
string,
float,
integer,
boolean,
histogram
Example:

"integer"

description
string

Column description.

Maximum string length: 255
Example:

"An integer column"

hidden
boolean
default:false

If true, the column is excluded from autocomplete and raw data field lists.

id
string

Unique identifier (ID), returned in response bodies.

last_written
string

ISO8601 formatted time the column was last written to (received event data).

created_at
string

ISO8601 formatted time the column was created.

updated_at
string

ISO8601 formatted time the column was updated.